package turma;

import java.util.Scanner;

/**
 * Programa de cálculo de média para demonstrar o uso de vetores
 * @author Prof. Jane e prof@caetano.eng.br
 */
public class Turma {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner teclado = new Scanner(System.in);
        int n;
        float soma, media;
        float[] notas;
        String nome;    
    
        // Pergunta nome do curso
        System.out.print("Qual o nome do curso ? ");
        nome = teclado.nextLine();
    
        // Pergunta o número de alunos da turma (maior que zero)
        do {
            System.out.print("Quantidade de alunos: ");
            n = teclado.nextInt();
        } while (n<=0);
    
        // Cria vetor para armazenar notas de n alunos
        notas = new float[n];
        
        // Lê cada uma das notas
        for (int i = 0; i < notas.length; i=i+1) {
            System.out.format("Digite a nota %d: ", i+1);
            notas[i] = teclado.nextFloat();
        }
        
        // Calcula média
        soma = 0;
        for (int i = 0; i < notas.length; i=i+1) {
            soma = soma + notas[i];
        }
        media = soma/n;
        
        // Imprime a lista de notas
        System.out.println("Nome do Curso: " + nome.toUpperCase());
        System.out.format("Média: %.2f%n", media);
        for (float nota : notas) {
            if (nota > media) System.out.format("Nota: %.1f%n", nota);
        }
    }
}
